From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/emacs-common/
Date: Sun, 5 May 2024 12:44:56 +0000 (UTC) [thread overview]
Message-ID: <1714913090.d638ded300175617130d2ebce5b59ead1ad5144d.ulm@gentoo> (raw)
commit: d638ded300175617130d2ebce5b59ead1ad5144d
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun May 5 12:43:16 2024 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun May 5 12:44:50 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d638ded3
app-emacs/emacs-common: add 1.10
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-emacs/emacs-common/Manifest | 1 +
app-emacs/emacs-common/emacs-common-1.10.ebuild | 111 ++++++++++++++++++++++++
2 files changed, 112 insertions(+)
diff --git a/app-emacs/emacs-common/Manifest b/app-emacs/emacs-common/Manifest
index 0d06cfd6b925..4fae6fbe4406 100644
--- a/app-emacs/emacs-common/Manifest
+++ b/app-emacs/emacs-common/Manifest
@@ -1,2 +1,3 @@
+DIST emacs-common-1.10.tar.xz 61800 BLAKE2B 9dd25f45bf0db308417a6c35d87e3b8c6a7dd2f11de57ab2e6fcf81646aa5d5b54b76a78142de0e175df3ba4dce4f404f4774cb0a0d64c41e484de4ea4da6e6a SHA512 a9a9142394261b34ba625e48eaac489f713cef52df3ca801c2445759bf27d6335b4e7162305f314203d3efcd89f6e65a635595ffc0ad6e6082b735c5f8283b82
DIST emacs-common-1.8.tar.xz 61352 BLAKE2B 084cf06c03db231c92d0074a2e633d209257941b2840c2c745462050e694756f97679c7078357d9eab7b2fcfb85b00ab390d65254ddd106d0ef1a1fd723b2c4c SHA512 85c4b826c0691fd24f260750f4c3f9ecc3b59d11b4dafcae608e1a2546c064b240084974962b0727ac8183b8f5b0891cf47add901461f77ee275a129341b2b13
DIST emacs-common-1.9.tar.xz 61812 BLAKE2B 6a87dae71120c2b41a4918dc788f7baa161eb0cc2b895a39e721330a6151a888cd9d930f93ac840557d3766847a7eb5ff8907d2fdde2c897a296887c0a5cf8c2 SHA512 b2e2df57a83548aeb7f7271a7d0b9ca27086d0c0ec80b6aa354016938ece70e8d9058214e7a813ec491bd67a61df8afbe4b55081b68a109ce527ba6cdba7e891
diff --git a/app-emacs/emacs-common/emacs-common-1.10.ebuild b/app-emacs/emacs-common/emacs-common-1.10.ebuild
new file mode 100644
index 000000000000..32369538dc82
--- /dev/null
+++ b/app-emacs/emacs-common/emacs-common-1.10.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp-common desktop gnome2-utils readme.gentoo-r1
+
+DESCRIPTION="Common files needed by all GNU Emacs versions"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs"
+SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="games gsettings gui"
+
+DEPEND="games? ( acct-group/gamestat )"
+RDEPEND="${DEPEND}"
+PDEPEND=">=app-editors/emacs-23.1:*"
+IDEPEND="gui? ( gsettings? ( dev-libs/glib ) )"
+
+src_install() {
+ insinto "${SITELISP}"
+ sed -e "s:@libdir@:$(get_libdir):g" subdirs.el.in | newins - subdirs.el
+ assert
+ newins site-gentoo.el{,.orig}
+
+ keepdir /etc/emacs
+ insinto /etc/emacs
+ doins site-start.el
+
+ if use games; then
+ keepdir /var/games/emacs
+ fowners 0:gamestat /var/games/emacs
+ fperms g+w /var/games/emacs
+ fi
+
+ if use gui; then
+ local i
+ domenu emacs.desktop emacsclient.desktop
+
+ pushd icons || die
+ newicon sink.png emacs-sink.png
+ newicon emacs25_48.png emacs.png
+ for i in 16 24 32 48 128; do
+ [[ ${i} -le 48 ]] && newicon -s ${i} emacs22_${i}.png emacs22.png
+ newicon -s ${i} emacs23_${i}.png emacs23.png
+ newicon -s ${i} emacs25_${i}.png emacs.png
+ done
+ doicon -s scalable emacs23.svg
+ newicon -s scalable emacs25.svg emacs.svg
+ popd
+
+ if use gsettings; then
+ insinto /usr/share/glib-2.0/schemas
+ doins org.gnu.emacs.defaults.gschema.xml
+ fi
+ fi
+
+ DOC_CONTENTS="All site initialisation for Gentoo-installed packages is
+ added to ${SITELISP}/site-gentoo.el. In order for this site
+ initialisation to be loaded for all users automatically, a default
+ site startup file /etc/emacs/site-start.el is installed. You are
+ responsible for maintenance of this file.
+ \n\nAlternatively, individual users can add the following command:
+ \n\n(require 'site-gentoo)
+ \n\nto their ~/.emacs initialisation files, or, for greater
+ flexibility, users may load single package-specific initialisation
+ files from the ${SITELISP}/site-gentoo.d/ directory."
+ readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+ # make sure that site-gentoo.el exists since site-start.el requires it
+ if [[ ! -f ${ED}${SITELISP}/site-gentoo.el ]]; then #554518
+ mv "${ED}${SITELISP}"/site-gentoo.el{.orig,} || die
+ fi
+ if [[ -d ${EROOT}${SITELISP} ]]; then
+ elisp-site-regen
+ cp "${EROOT}${SITELISP}/site-gentoo.el" "${ED}${SITELISP}/" || die
+ fi
+
+ if use games; then
+ local f
+ for f in /var/games/emacs/{snake,tetris}-scores; do
+ if [[ -e ${EROOT}${f} ]]; then
+ cp "${EROOT}${f}" "${ED}${f}" || die
+ fi
+ touch "${ED}${f}" || die
+ chgrp gamestat "${ED}${f}" || die
+ chmod g+w "${ED}${f}" || die
+ done
+ fi
+}
+
+pkg_postinst() {
+ if use gui; then
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ use gsettings && gnome2_schemas_update
+ fi
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ if use gui; then
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ use gsettings && gnome2_schemas_update
+ fi
+}
next reply other threads:[~2024-05-05 12:45 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-05 12:44 Ulrich Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-12 10:43 [gentoo-commits] repo/gentoo:master commit in: app-emacs/emacs-common/ Ulrich Müller
2025-04-12 10:43 Ulrich Müller
2025-04-12 9:30 Arthur Zamarin
2025-03-22 16:25 Ulrich Müller
2025-03-10 11:55 Ulrich Müller
2025-03-08 7:47 Ulrich Müller
2025-01-10 4:12 WANG Xuerui
2024-12-14 17:46 Ulrich Müller
2024-12-14 17:46 Ulrich Müller
2024-05-06 17:28 Ulrich Müller
2024-05-05 12:44 Ulrich Müller
2023-09-19 9:26 Sam James
2023-09-19 8:28 Sam James
2023-09-19 8:15 Sam James
2023-09-19 8:02 Sam James
2023-09-19 7:43 Sam James
2023-08-29 23:34 Sam James
2023-08-29 20:18 Sam James
2023-08-29 20:18 Sam James
2023-08-29 19:23 Ulrich Müller
2023-07-27 15:40 Ulrich Müller
2023-07-24 16:16 Ulrich Müller
2023-07-24 16:10 Ulrich Müller
2022-05-24 11:10 Ulrich Müller
2022-04-20 21:30 Sam James
2022-01-01 10:51 James Le Cuirot
2021-09-23 1:07 Matt Turner
2021-04-02 9:01 Ulrich Müller
2021-04-01 22:30 Sam James
2021-03-22 8:35 Ulrich Müller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1714913090.d638ded300175617130d2ebce5b59ead1ad5144d.ulm@gentoo \
--to=ulm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox